Bug 1228090 - (zetacomponents/graph) Review Request: php-zetacomponents-graph - Zeta Graph Component
Review Request: php-zetacomponents-graph - Zeta Graph Component
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On: zetacomponents/unit-test 1228089
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-04 03:55 EDT by Remi Collet
Modified: 2015-07-31 14:34 EDT (History)
2 users (show)

See Also:
Fixed In Version: php-zetacomponents-graph-1.5.2-3.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-29 20:47:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+
fedora: fedora‑cvs+


Attachments (Terms of Use)
phpcompatinfo-full.txt (37.18 KB, text/plain)
2015-07-11 10:06 EDT, Shawn Iwinski
no flags Details
phpcompatinfo-src.txt (29.48 KB, text/plain)
2015-07-11 10:07 EDT, Shawn Iwinski
no flags Details
fedora-review.txt (6.82 KB, text/plain)
2015-07-11 10:08 EDT, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2015-06-04 03:55:12 EDT
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/9b64e8d9e77226c901cccd407650f5ad1d89c9d9/php/zeta/php-zetacomponents-graph/php-zetacomponents-graph.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-zetacomponents-graph-1.5.2-2.remi.src.rpm
Description: 
A component for creating pie charts, line graphs and other kinds of diagrams.

Fedora Account System Username: remi
Comment 1 Shawn Iwinski 2015-07-11 10:06:28 EDT
Created attachment 1050885 [details]
phpcompatinfo-full.txt

phpCompatInfo version 4.3.0 DB built Jun 16 2015 12:31:49 CEST
Comment 2 Shawn Iwinski 2015-07-11 10:07:02 EDT
Created attachment 1050886 [details]
phpcompatinfo-src.txt

phpCompatInfo version 4.3.0 DB built Jun 16 2015 12:31:49 CEST
Comment 3 Shawn Iwinski 2015-07-11 10:08:13 EDT
Created attachment 1050887 [details]
fedora-review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1228090
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 Shawn Iwinski 2015-07-11 10:18:49 EDT
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

No blocker... as usual, remove EPEL5 bits after initial import.





Issues:
=======
- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 3932160 bytes in 127 files.
  See:
  http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation

There are almost 4M of docs which should be subpackaged.



[!]: Sources contain only permissible code or content.
[!]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files

     docs/tutorial/tutorial_font.fdb (?)
     docs/tutorial/tutorial_font.pfb
     docs/tutorial/tutorial_font.ttf

I believe these should be removed... so probably the entire tutorial dir should be removed as well unless just the tutorial portions that use these font files can be removed.



For library autoloader generated in %build, shouldn't
    require_once 'ezc/Base/autoloader.php';
be
    require_once '%{ezcdir}/Base/autoloader.php';



For the tests autoloader generated in %check, shouldn't
    require '$PWD/src/autoloader.php';
be
    require '%{buildroot}%{ezcdir}/%{gh_project}/autoloader.php';
so the tests verify what will be installed?
Comment 6 Shawn Iwinski 2015-07-15 13:08:28 EDT
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Sources contain only permissible code or content.
[x]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files

Blockers fixed.

===== APPROVED =====
Comment 7 Remi Collet 2015-07-15 14:35:43 EDT
Thanks for the review!

New Package SCM Request
=======================
Package Name:  php-zetacomponents-graph
Short Description: Zeta Graph Component
Upstream URL: http://zetacomponents.org/
Owners: remi
Branches: f21 f22 el6 epel7
InitialCC:
Comment 8 Remi Collet 2015-07-15 14:36:54 EDT
New Package SCM Request
=======================
Package Name:  php-zetacomponents-graph
Short Description: Zeta Graph Component
Upstream URL: http://zetacomponents.org/
Owners: remi
Branches: f21 f22 f23 el6 epel7
InitialCC:
Comment 9 Gwyn Ciesla 2015-07-16 00:19:06 EDT
Git done (by process-git-requests).
Comment 10 Remi Collet 2015-07-16 01:58:40 EDT
Can you please check,
https://admin.fedoraproject.org/pkgdb/package/php-zetacomponents-graph/ => OK
http://pkgs.fedoraproject.org/cgit/php-zetacomponents-graph.git => MISSING

$ fedpkg clone php-zetacomponents-graph
Clonage dans 'php-zetacomponents-graph'...
FATAL: R any php-zetacomponents-graph remi DENIED by fallthru
(or you mis-spelled the reponame)
fatal: Could not read from remote repository.

Please make sure you have the correct access rights
and the repository exists.
Could not execute clone: Command '['git', 'clone', 'ssh://remi@pkgs.fedoraproject.org/php-zetacomponents-graph', '--origin', 'origin']' returned non-zero exit status 128
Comment 11 Remi Collet 2015-07-16 04:47:53 EDT
Seems auto-fixed...
Comment 12 Fedora Update System 2015-07-16 05:30:17 EDT
php-zetacomponents-graph-1.5.2-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/php-zetacomponents-graph-1.5.2-3.fc22
Comment 13 Fedora Update System 2015-07-16 05:31:27 EDT
php-zetacomponents-graph-1.5.2-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/php-zetacomponents-graph-1.5.2-3.fc21
Comment 14 Fedora Update System 2015-07-16 05:32:36 EDT
php-zetacomponents-graph-1.5.2-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-zetacomponents-graph-1.5.2-3.el6
Comment 15 Fedora Update System 2015-07-16 05:33:44 EDT
php-zetacomponents-graph-1.5.2-3.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/php-zetacomponents-graph-1.5.2-3.el7
Comment 16 Fedora Update System 2015-07-16 19:43:41 EDT
php-zetacomponents-graph-1.5.2-3.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 17 Fedora Update System 2015-07-29 20:47:14 EDT
php-zetacomponents-graph-1.5.2-3.fc22 has been pushed to the Fedora 22 stable repository.
Comment 18 Fedora Update System 2015-07-29 21:11:44 EDT
php-zetacomponents-graph-1.5.2-3.fc21 has been pushed to the Fedora 21 stable repository.
Comment 19 Fedora Update System 2015-07-31 14:33:44 EDT
php-zetacomponents-graph-1.5.2-3.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 20 Fedora Update System 2015-07-31 14:34:49 EDT
php-zetacomponents-graph-1.5.2-3.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.